unit u;
interface

type
  TMyClass = class
    procedure Proc(X, Y: Integer);
  end; 

procedure P;

var
  I: Integer;

implementation

procedure TMyClass.Proc(X, Y: Integer);
begin
  writeln(X, ' ', Y);
end;

procedure P;
begin
  writeln('P');
end;

begin
  I := 5;
end.